blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
4b59bbd731bf39394ddd99b62f89cb0f9a99418c
Shell
nickknw/nickknowlson.com
/refresh-post.sh
UTF-8
348
3.46875
3
[]
no_license
#!/bin/bash # Call with a fragment of a post title. Example: # ./refresh-post.sh week-3-day-2 CUR_DATE=`date +"%Y-%m-%d"` OLD_POST=`ls -1 _posts/*$@* | head -n 1` POST_NAME=`echo $OLD_POST | cut -c19-` # 19 = _posts/20xx-xx-xx- + 1 NEW_POST="_posts/$CUR_DATE-$POST_NAME" echo Moved: echo $OLD_POST echo to: echo $NEW_P...
true
fdceb2b94e5f0fec8e3834d5d59b8a5451d9c21a
Shell
booleanbalaji/CSE222
/test.sh
UTF-8
103
3.25
3
[]
no_license
echo "Enter a number" read a num=1 echo $a for (( num=1, $num -lt $a; num++ )) do echo Number:$num done
true
c810a5330befafde5d14e0481f861134f36f67cb
Shell
mschuett/rsyslog_awslib
/scripts/build_and_install.sh
UTF-8
5,094
3.609375
4
[ "Apache-2.0" ]
permissive
#!/bin/bash -xe # # Script to build and install the different libraries. # I use this to test the whole workflow on new EC2 instances. # # Currently working for Ubuntu 18.04. # # The variants for Debian and Amazon Linux are work in progress, # right now they fail to load the plugin (undefined symbols). # . /etc/os-rel...
true
014135b5d611be9d2d5b958ac8b526db8fb7d18a
Shell
mgymrek/arvados
/docker/docker_build
UTF-8
328
3.375
3
[]
no_license
#! /bin/bash # Wrapper script for `docker build'. # This is a workaround for https://github.com/dotcloud/docker/issues/1875. tmpfile=$(mktemp) trap "rm $tmpfile; exit 1" SIGHUP SIGINT SIGTERM docker build $* | tee ${tmpfile} if $(grep -q 'Error build' ${tmpfile}) then result=1 else result=0 fi rm $tmpfile exit ...
true
0dba45d617b1a07d947071fd117b29038bc285cf
Shell
poberbichler/EHFG-App
/.openshift/action_hooks/pre_build
UTF-8
499
2.875
3
[]
no_license
#!/bin/bash cd $OPENSHIFT_DATA_DIR if [ ! -d "mvn" ]; then wget "http://mirror.symnds.com/software/Apache/maven/maven-3/3.3.3/binaries/apache-maven-3.3.3-bin.tar.gz" mkdir mvn tar -xvf apache-maven-3.3.3-bin.tar.gz -C mvn --strip-components=1 rm apache-maven-3.3.3-bin.tar.gz fi if [ ! -f "settings.xml...
true
ce1ff960166bc6de75cda4248f8fae71da371d8f
Shell
opfanswyx/nginx-1.14.2-annotated
/configure
UTF-8
4,379
3.40625
3
[ "BSD-2-Clause" ]
permissive
#!/bin/sh # Copyright (C) Igor Sysoev # Copyright (C) Nginx, Inc. LC_ALL=C export LC_ALL #options脚本定义后续工作需要用到的变量 #根据本次调用configure时携带的参数与默认值设置这些变量 . auto/options #init脚本初始化后续工作需要的一些文件路径 . auto/init #sources分析nginx源码结构,该脚本将.c/.h代码文件分类,并定义为对应的变量数组 . auto/sources # 测试并创建$NGX_OBJS目录,该目录用来存储编译过程中所有目标文件的路径 test -d $NGX_OB...
true
f45e2756802dca2890bf255ecee7897016bed481
Shell
jeancochrane/open-apparel-registry
/scripts/generate_fixed_dumps
UTF-8
2,256
3.984375
4
[ "MIT" ]
permissive
#!/bin/bash set -e if [[ -n "${OAR_DEBUG}" ]]; then set -x fi # fail without OAR_SETTINGS_BUCKET set -u DIR="$(dirname "${0}")/../" function usage() { echo -n \ "Usage: $(basename "$0") Import database dumps from Sourcemap, run create_master_account_api_key.js, and export new database dumps. " } i...
true
cb514cf42214b15f6ddd3c4fc4111db3b798690d
Shell
HEP-KBFI/stpol
/src/step1/validate_counts.sh
UTF-8
2,028
3.328125
3
[]
no_license
#!/bin/bash infile_list=$1 step1_total_processed=0 step2_total_processed=0 step2_total_out=0 for fi in `cat $infile_list` do step1_out_fileutil=`edmFileUtil $fi | grep "event" | cut -f6 -d' '` tempfile=out.$$ cmsRun $CMSSW_BASE/src/SingleTopPolarization/EfficiencyAnalyzer/efficiencyanalyzer_cfg.py inputF...
true
10f767ccf4ba0c2976df6f6d2ff5ec777fb18aef
Shell
ilventu/aur-mirror
/pure-csv/PKGBUILD
UTF-8
503
2.65625
3
[]
no_license
pkgname=pure-csv pkgver=1.5 pkgrel=1 pkgdesc="A Pure module for reading and writing Comma Separated Value (CSV) files" arch=("i686" "x86_64") license=('custom') url="http://code.google.com/p/pure-lang" depends=('pure') makedepends=('make' 'gcc' 'bison' 'flex') source=("http://pure-lang.googlecode.com/files/$pkgname-$pk...
true
1bb9d214d7b99adeb7ded6303f31eb7aad5172cb
Shell
marlof/ScORCH
/bin/convert
UTF-8
1,024
4.28125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Simple script to convert human readable format to Kilobytes for use when checking disk space fn_Usage() { echo " - Converts human readble formats to byte size for size comparisons" } fn_ConvertthKB() { local l_str_Value=${1:-"0K"} local l_int_KB="0" # Trick to allow decimals starting with "....
true
a200a736936ac16208a3f781782ebecff322101c
Shell
dsiguero/dotfiles
/aws/.aws/aws_functions.zsh
UTF-8
3,576
3.921875
4
[]
no_license
#!/usr/bin/env bash function assume-role() { $(aws sts assume-role --role-arn "$1" --role-session-name "$2" | jq -r '.Credentials | .["AWS_ACCESS_KEY_ID"] = .AccessKeyId | .["AWS_SECRET_ACCESS_KEY"] = .SecretAccessKey | .["AWS_SESSION_TOKEN"] = .SessionToken | del(.AccessKeyId, .SecretAccessKey, .SessionToken, .Expi...
true
8fb596655b4c6a89650ab63f25ffadf7c1e9e99c
Shell
aircross/padavan_zh
/install.sh
UTF-8
5,066
3.15625
3
[ "MIT" ]
permissive
#!/bin/bash # DESTDIR is your target project's dir DESTDIR=/opt/rt-n56u ROOTDIR=`pwd` if [ ! -d "$DESTDIR" ] ; then echo "Target project directory not exists! Terminate." exit 1 fi copyDict(){ echo "--------------开始复制汉化文件------------------" if [ -d "$ROOTDIR/trunk/user/" ] ; then cp -fRv "$ROOTDIR/trunk/user/...
true
5196b1b804c30d73483509d534edfc5d8abe30e9
Shell
jepsonwu/mycode
/shell/jst_merge/jst_mysql.sh
UTF-8
1,905
3.25
3
[]
no_license
#!/bin/sh time=`date -d"-1 day" "+%Y%m%d"` yes_time=`date -d"-2 day" "+%Y%m%d"` binlog_file=/home/nala/${time}_simba_nala.db binlog_bak=/home/nala/${time}_simba_nala.bak log_file=/data0/shell/jst_mysql.log echo "start recovery data,time:"`date "+%Y-%m-%d"` >> $log_file if [ ! -f $binlog_file ];then echo...
true
a2a76612aa2c7d0eeb17347860b24451fe77745f
Shell
mikelue/ci-misc
/docker/run-docker.sh
UTF-8
980
4.25
4
[]
no_license
#!/usr/bin/env sh set -eu usage() { echo "Usage: " echo "run-docker.sh [-d <docker options>] [-w <workdir>] [-v] <image> [commands ...]" } >&2 docker_options="" host_work_dir="" verbose=0 verbose_output() { if [ $verbose -eq 0 ]; then return 0 fi echo "$1" } while getopts "vd:w:" opt; do case $opt in d) ...
true
0d31fcd8d88f3b02def3c225cdb032b9ec81931b
Shell
OmidNejadabbasi/pwned-search
/pwned.sh
UTF-8
1,815
4.25
4
[ "Unlicense" ]
permissive
#!/bin/bash # FAIR License, Copyright (c) 2019 72Zn # Usage of the works is permitted provided that this instrument is retained # with the works, so that any entity that uses the works is notified of this # instrument. # DISCLAIMER: THE WORKS ARE WITHOUT WARRANTY. # Use the -p flag to 'pad' the results making it har...
true
6af5a222b4d895a8d55ca7d055ca61cd2bc2d472
Shell
lvlnd/java-overlay
/dev-java/doxia/files/assemble-plexus-resources.sh
UTF-8
746
3.234375
3
[]
no_license
#!/bin/sh # use to facilitate resources tarballing after generating them # enjoy :p assemble() { local dest=titi mkdir dest for i in $(find . -name generated-resources|sed -re "s:(/target)|(\./)::g"); do local maven_dest="$dest/$(dirname $i)/src/main" echo assemble "$i" mkdir -p "$maven_dest" cp -rf \ "...
true
0dd50449fac0657360671b8e6dfe24593349afb7
Shell
mkorthof/sshguard
/src/fw/sshg-fw-ipfilter.sh
UTF-8
586
3.296875
3
[ "BSD-3-Clause", "ISC", "LicenseRef-scancode-public-domain" ]
permissive
#!/bin/sh # sshg-fw-ipfilter # This file is part of SSHGuard. IPFILTER_CMD=ipf IPFILTER_CONF=/etc/ipfilter.conf fw_init() { : } fw_block() { FAM="" if [ -n "$2" ]; then FAM="-$2" fi echo "block in quick proto tcp from $1/$3 to any" | \ ${IPFILTER_CMD} ${FAM} -A -f - } fw_release(...
true
d65f4d9a281cce402622fd0bfc07a5b6da94de43
Shell
suyash-badnore/LinuxScripts
/exercise/t1.sh
UTF-8
294
3.078125
3
[]
no_license
echo "enter your total amount" read AMT if [ $AMT -lt 1000 ] then TAX=$(( AMT * 2 / 100 )) DISC=$(( AMT * 10 / 100 )) PAY=`expr $AMT + $TAX - $DISC` else TAX=$(( AMT * 5 / 100 )) DISC=$(( AMT * 20 / 100 )) PAY=`expr $AMT + $TAX - $DISC` fi echo "Payable Amount Is : $PAY "
true
a80e863febe898b6d5d63b914adf038e2e4b0357
Shell
lpt2007/hassos-addons-dev
/tvheadend/run.sh
UTF-8
1,240
2.734375
3
[]
no_license
#!/bin/bash # Run vlan setup script ./setup_vlan.sh #mkdir -p /share/tvheadend/recordings #mkdir -p ~/.wg++ #ln -sf /share/tvheadend/wg++/guide.xml ~/.wg++/guide.xml #Install WebGrabPlus #if [ "$(ls -A /share/tvheadend/wg++)" ]; then # echo "[INFO] Webgrab+ already installed" #else # echo "[INFO] No webgrab+ in...
true
44fa0dde553968c75c5b93724501a9bfc6ac371c
Shell
spencertipping/bake
/bakefile
UTF-8
489
3.109375
3
[]
no_license
#!/bin/bash bake %@sdocs.sdoc = *.sdoc sdoc_to_markdown() { sdoc cat markdown::$1.sdoc > $1.md } bake %x.md : %x.sdoc :: sdoc_to_markdown %x bake doc : %@sdocs.md create_bake() { cat bake.sh bake-template > bake chmod +x bake } compile_bake_sh() { sdoc cat code.sh::bake.sh.sdoc > bake1.sh { echo '#!/bin/ba...
true
ad094f41ca19ba0666bc63ccc4e1622d2780f1e1
Shell
biglinux/kde-service-menu-reimage
/pkgbuild/PKGBUILD
UTF-8
1,146
2.90625
3
[]
no_license
# Maintainer: Bruno Goncalves <bigbruno@gmail.com> pkgname=kde-service-menu-reimage pkgver=$(date +%y.%m.%d) pkgrel=$(date +%H%M) arch=('any') license=('GPL') depends=('imagemagick' 'jhead') url="https://github.com/biglinux/kde-service-menu-reimage" pkgdesc="Manipulate images e their metadata. kde-service-menu-reimag...
true
99d5c4b849408867ff4dd5bb898f0f3d93807b22
Shell
ghaliba3/txtfile-splitter
/txtfile-splitter.sh
UTF-8
750
4.28125
4
[]
no_license
#!/bin/bash if [ ! $# == 2 ]; then echo "Please specify the source file and how many lines to split on." echo " sh ./txtfile-splitter.sh <Source File> <Lines per file>" exit fi # create a directory to store the output: mkdir out # create a temporary file containing the header without # the content: head -n 1...
true
19c34a04530640ffd3522b97c36e832406f810fb
Shell
joiningdata/data_histories
/gene_info/reconstruct.sh
UTF-8
927
3.921875
4
[ "LicenseRef-scancode-public-domain", "CC0-1.0" ]
permissive
#!/bin/bash # # USAGE: reconstruct.sh YYYY-MM-DD sets/subset.txt # # ex: reconstruct.sh 20190828 sets/Homo_sapiens.txt |gzip > Homo_sapiens.gene_info.gz # if [[ ! "$1" =~ [0-9]{4}-[0-9]{2}-[0-9]{2} ]]; then echo USAGE: reconstruct.sh YYYY-MM-DD sets/subset.txt >&2 echo >&2 echo ERROR date "$1" invalid - must be like...
true
80ae68874b94c25919a7f0812cf0d075312b6a56
Shell
allentc/pgadmin3-lts
/pgadmin/pgscript/parser.sh
UTF-8
2,490
3.765625
4
[ "PostgreSQL" ]
permissive
#!/bin/sh ####################################################################### # # pgAdmin III - PostgreSQL Tools # Copyright (C) 2002 - 2016, The pgAdmin Development Team # This software is released under the PostgreSQL Licence # # parser.sh - Runs Flex and Bison and processes the generated files # ###############...
true
ac76d4507357e04a3b42131b6f9d4a521ca960da
Shell
B-Rich/community-mirror
/ruby-cairo/repos/community-x86_64/PKGBUILD
UTF-8
794
2.578125
3
[]
no_license
# $Id$ # Maintainer: Alexander Rødseth <rodseth@gmail.com> # Contributor: Brad Fanella <bradfanella@archlinux.us> # Contributor: Jeremy <reebydobalina@yahoo.ca> pkgname=ruby-cairo pkgver=1.12.9 pkgrel=1 pkgdesc='Ruby bindings for cairo' arch=('x86_64' 'i686') url='http://cairographics.org/rcairo/' license=('GPL') depe...
true
513775e0c2d76a8243ab754ac3ceea270ab7fde6
Shell
hepcat72/bioconda-recipes
/recipes/akt/build.sh
UTF-8
208
2.59375
3
[]
permissive
#!/bin/bash export C_INCLUDE_PATH=${PREFIX}/include export LIBRARY_PATH=${PREFIX}/lib if [[ "$OSTYPE" == "darwin"* ]]; then make no_omp else make fi mkdir -p "${PREFIX}/bin" cp ./akt "${PREFIX}/bin"
true
65bcd109e50e28b5c27fd114416fb6b9d534165c
Shell
reifnir/iac
/scripts/install-helm-agic.sh
UTF-8
4,089
3.515625
4
[ "MIT" ]
permissive
#!/bin/bash set -ex echo "SUBSCRIPTION_ID=$SUBSCRIPTION_ID" echo "RESOURCE_GROUP=$RESOURCE_GROUP" echo "APP_GATEWAY_NAME=$APP_GATEWAY_NAME" echo "IDENTITY_RESOURCE_ID=$IDENTITY_RESOURCE_ID" # azurerm_user_assigned_identity.testIdentity.id echo "IDENTITY_CLIENT_ID=$IDENTITY_CLIENT_ID " # azurerm_user_assigned_identi...
true
9922d1c1aa56b4d548a44272acd8dbe30a903718
Shell
extend1994/Tools
/color-table-printer.sh
UTF-8
3,858
2.96875
3
[]
no_license
#!/usr/bin/env bash # Source: https://stackoverflow.com/questions/5947742/how-to-change-the-output-color-of-echo-in-linux # Reset Reset='\033[0m' # Text Reset # Regular Colors Black='\033[0;30m' # Black Red='\033[0;31m' # Red Green='\033[0;32m' # Green Yellow='\033[0;33m' # Yellow ...
true
87775cee451ca51d798b1e0c4ae214fca7863829
Shell
KeenS/dot.files
/vscode-extension.sh
UTF-8
1,321
4.1875
4
[]
no_license
#!/bin/sh # templated by http://qiita.com/blackenedgold/items/c9e60e089974392878c8 usage() { cat <<HELP NAME: $0 -- manage VSCode's extensions SYNOPSIS: $0 [-h|--help] $0 [--verbose] {backup|restore} DESCRIPTION: manage VSCode's extensions -h --help Print this help. --verbose Enables ve...
true
1d4cc6cfcffd3a86ce20dfe18b7bbdb4bfa78860
Shell
erdembozdg/coding
/bash/basics/while.sh
UTF-8
229
3.34375
3
[]
no_license
#!/bin/bash i=0 while [[ $i -lt 10 ]] do echo "i: $i" ((i++)) done while do if $(pgrep -l $1); then echo "The process \"$1\" is running" else echo "The process \"$1\" is not running" fi done
true
e075fc492d86a4c33db228eeb30960a542ba4d2e
Shell
colbysadams/transparent_mitmproxy
/tcpautodump/check_status.sh
UTF-8
355
3.484375
3
[]
no_license
#!/usr/bin/env bash echo "Sniffing for dumps..." psout=`adb shell "ps | grep tcpdump"` pids=`sed -E "s/root\ +([0-9]+).*/\1/g" <<< "$psout"` count=0 for pid in $pids; do let count++ done if [ $count -eq 0 ];then echo "$count" echo "No tcpdumps being taken... smells nice" else echo "There are $count...
true
56a4d16ee4616bfafa1d6a4e0dfa13309dcf4766
Shell
linuxmuster/linuxmuster-ipfire
/share/setup.sh
UTF-8
2,897
3.8125
4
[]
no_license
# # starts ipfire configuration setup for linuxmuster.net # # thomas@linuxmuster.net # 21.12.2015 # GPL v3 # # initial setup if [ -n "$first" ]; then if [ -z "$password" ]; then echo stty -echo read -p "Please enter IPFire's root password: " password; echo stty echo fi [ -z "$password" ] && bailout "No pass...
true
59791bfc76839fe898e66b164aeeb7933e587ac1
Shell
MyRequiem/LFS
/stage-1-lfs-stable-x86_64/stage-3-build_basic_system/bzip2.sh
UTF-8
3,063
3.609375
4
[ "MIT" ]
permissive
#! /bin/bash PRGNAME="bzip2" ### Bzip2 (a block-sorting file compressor) # Программы для сжатия и распаковки файлов. Сжатие текстовых файлов с помощью # bzip2 дает гораздо лучший процент сжатия чем с традиционным Gzip. ROOT="/" source "${ROOT}check_environment.sh" || exit 1 source "${ROOT}unpack_sou...
true
53e4a5614df793e8566d59ec0d5103bad94667ee
Shell
The-Oracle/kdeui
/kernel/start-session-bus.sh
UTF-8
1,166
3.671875
4
[]
no_license
#!/bin/sh DO_SH=0 DO_CSH=0 DO_KEYVAL=0 for arg in "$@"; do case "$arg" in --sh-syntax) DO_SH=1 ;; --csh-syntax) DO_CSH=1 ;; --kde-mac) DO_KEYVAL=1 ;; esac done # find common dbus locations PATH="/opt/kde4-deps/bin:/sw/bin:/usr/local/bin:$PATH" DBUS_LAUNCH=`which dbus-launch` if [ -z "$DBUS_LAUNCH" ]; then e...
true
ce9c380b743d1a3e65f394a7fb1863ab358412a8
Shell
phutchins/dot-files
/bash_profile
UTF-8
1,575
2.890625
3
[]
no_license
if [ -f ~/.bashrc ]; then source ~/.bashrc fi # . /Users/phutchins/github/powerline/powerline/bindings/bash/powerline.sh [[ -s "$HOME/.rvm/scripts/rvm" ]] && source "$HOME/.rvm/scripts/rvm" # Load RVM into a shell session *as a function* export NVM_DIR="$HOME/.nvm" [ -s "$NVM_DIR/nvm.sh" ] && . "$NVM_DIR/nvm.sh" #...
true
fe1918fcb63683b8f9e44e4304f375a8b19aec38
Shell
arathald/honeyDaemon
/commands/calc
UTF-8
413
3.234375
3
[]
no_license
#!/usr/bin/env bash [ -n "$1" ] || { echo -e " This is bc 1.06.95 - An arbitrary precision calculator language\n Copyright 1991-1994, 1997, 1998, 2000, 2004, 2006 Free Software Foundation, Inc.\n Options used:\n -s #non-standard bc constructs are errors.\n -l #use the predefined math routines.\n the floating number...
true
f5aa8577b244d47aaa3e8ef916f8f42e08ff0638
Shell
HoangDoanMinh/Linux
/HoangDoanMinh-Sell/Bai4.sh
UTF-8
255
2.875
3
[]
no_license
clear echo "1.Cafe den"; echo "2.Cafe da"; echo "3.Cafe sua"; echo "4.Cafe cao"; echo -n "Ban chon thuc uong nao (1-4)? : "; read choose; case $choose in 1) echo "Cafe den"; echo "Yes";; 2) echo "Cafe da";; 3) echo "Cafe sua";; 4) echo "Cafe cao";; esac
true
22d1e2c0dee3ba8ed9a82419ff14f7ae5970ecc2
Shell
squantrill/eekboek
/po/make_locales
UTF-8
1,231
3.515625
4
[]
no_license
#!/bin/sh GTF="-j -k -k__x -k_T -kN__ --from-code=ISO-8859-1" DIR="po" LIB="lib" cd .. if [ "$1" = "regen" ] then cp /dev/null $DIR/ebcore.pot || exit 1 #cp /dev/null $DIR/ebgui.pot || exit 1 find script/ebshell -exec xgettext $GTF -o $DIR/ebcore.pot {} \; # Currently, Shell::DeLuxe crashes xgettext, ...
true
6cae3c66fd2835c6c8fc34b0c1ef24aa6147d6e9
Shell
bachmeil/quickblog
/editpost
UTF-8
194
3.296875
3
[]
no_license
#! /bin/bash NAME=$1 EDITOR=geany EXTENSION=md if [ -f $NAME.md ]; then $EDITOR index.$EXTENSION "$NAME.$EXTENSION" else echo "File $NAME.md doesn't exist so I'm not going to do anything" fi
true
b9a10336b3958f75a047cefe27338845e6063fc6
Shell
mitubaEX/shell_gei
/part_017/Q2/shell.sh
UTF-8
266
2.625
3
[]
no_license
cat data | awk '{ if( length(dic[$1" "$2]) == 0 ) {dic[$1" "$2] = NR} else { print dic[$1" "$2]" "NR }}' # 公式 すでにその連想配列に値が入っている場合のみ,表示されるような処理 cat data | awk 'a[$0]{print a[$0],NR,$0}{a[$0]=NR}'
true
eeaf04b9821e0035acb1cde0cfa0a4005a5e35cd
Shell
i137/ktmf
/ktmf.sh
UTF-8
83,332
3.765625
4
[]
no_license
#!/bin/bash VER="3.2.2" #################################################################################### # Only define the location of the config file here. Set the rest of the settings # # in ktmf.conf. # ########################################...
true
e091e7df735e5eecb833293b618fb200709acf29
Shell
chriscargill/BASH-Scripts
/clean.sh
UTF-8
344
2.734375
3
[]
no_license
#! /bin/bash # Use this script in conjuction with a VPN to start anonymous surfing # Remove the old temporary ipfile rm ipfile.txt # Change the mac address sudo macchanger -r eth0 # Start anonsurf (This assumes you have anonsurf installed) sudo anonsurf start # Write your new ip address to the ipfil...
true
801f4605cb18e2511f30b699a2c534b2dba1c9d1
Shell
kalao/TyporaHelper
/src/com/Typora/my.sh
UTF-8
128
2.65625
3
[]
no_license
#!/bin/bash echo "STARTING" cd $1 echo "上传至github..." $2sub.sh & pid=$! wait ${pid} echo "上传结束..." echo "FINISHED"
true
9b8b0d68cf789ae2c488a3f95c9b31648e2b5ee0
Shell
luowanqian/Linux-Trash
/trash/delete
UTF-8
1,506
4.25
4
[]
no_license
#!/bin/bash basepath=$(cd `dirname $0`; pwd) trashpath=$($basepath/getTrashPath) realrm="/bin/rm" if [ ! -d "$trashpath" ] then mkdir -v $trashpath chmod 777 $trashpath fi if [ $# -eq 0 ] then echo "Usage: delete file1 [file2 file3 ...]" echo "If the option contain -f, then the script will exec 'rm' directly" ...
true
073e039a334252ca164760be3a93dd7bc9e62df9
Shell
NateEaton/docker-letsencrypt-gcloud-dns
/entrypoint.sh
UTF-8
1,022
3.484375
3
[ "MIT" ]
permissive
#!/bin/bash set -e #set -x PRIMARY_DOMAIN="" LEGO_CMD="lego --email=$EMAIL --dns=gcloud --path=/certstore --accept-tos" echo "===== ACTIVATING GOOGLE CLOUD SDK SERVICE ACCOUNT FROM gcloud-service-account.json =====" export GOOGLE_APPLICATION_CREDENTIALS=/gcloud-service-account.json gcloud auth activate-service-accoun...
true
5b1b9cd5f259ca7b0d3782ed73c7b0041b732149
Shell
webmonkey/docker-planefinder
/run-pfclient.sh
UTF-8
564
3.328125
3
[]
no_license
#!/bin/sh # if a volume has been mounted copy in the config file and symlink it # so the config persists container restarts if [ -d /etc/pfclient ]; then echo Found /etc/pfclient directory if [ -f /etc/pfclient/pfclient-config.json ]; then echo Removing default config rm /etc/pfclient-config.js...
true
cc5aaf16600ffc7dceb703e30ee5f23fa3fb4b05
Shell
SirEOF/jvpn
/jvpn_setup.sh
UTF-8
434
3.125
3
[]
no_license
#!/bin/bash set -e NC=~/.juniper_networks/network_connect if [ -d "$NC" ]; then echo "$NC already exists, please remove it" exit 1 fi mkdir -p $NC unzip -o -q ncLinuxApp.jar ncsvc libncui.so mv ncsvc $NC/ mv libncui.so $NC/ cp wrapper.c $NC/ cd $NC gcc -m32 -O2 -s wrapper.c -o ncui -ldl -Wl,-rpath,`pwd` chmo...
true
f64de010e7a03cf93ceb3dfe3728c0809961891f
Shell
DmytroOrlov/docker
/db-init/wait-for-postgres.sh
UTF-8
149
2.9375
3
[ "MIT" ]
permissive
#!/bin/bash # wait-for-postgres.sh set -e host="$1" shift until psql -h "$host" -U "postgres" -c '\l'; do sleep 1 done >&2 echo "$@" exec "$@"
true
16b119c7b67f9f53389963a8625c82b38ffb3cfe
Shell
dunolie/dunolie-dotfiles
/bin/tux-plain
UTF-8
1,372
3.203125
3
[ "LicenseRef-scancode-philippe-de-muyter" ]
permissive
#!/usr/bin/env bash # By Robbie -- dunolie@gmail.com # Created on: Sunday,16 March, 2008 # Description: # Draw tux with hostname, like this: # .~. # /V\ # //&\\ # /((@))\ # ^`~'^ if [ "${use_color}" == "true" ]; then COL_BLACK="\033[0;30m" COL_DARKGRAY="\033[1;30m" COL_RED="\033[0;31m" CO...
true
274354216cf7d2da83df5ada3fc9e44c4b29f5e0
Shell
oblivia-simplex/nand2tetris_grading
/plaggroup.sh
UTF-8
781
3.25
3
[ "CC0-1.0" ]
permissive
#! /bin/bash proj=$1 reportfile="plagreports/${proj}-plaggroups.txt" numtasks=`ls $proj/*.tst | wc -l | tr -dc 0-9` BORDER="================================================================================" for name in `cat plagreports/${proj}-plagsum.txt | cut -d"," -f2`; do echo $BORDER plist=`grep $name plagre...
true
bc7cf9bd84cd8307431267f6b4479d0367ff2288
Shell
yottatsa/yottatsa-dotrc
/profile
UTF-8
1,196
2.578125
3
[]
no_license
# ~/.profile: executed by the command interpreter for login shells. # This file is not read by bash(1), if ~/.bash_profile or ~/.bash_login # exists. # see /usr/share/doc/bash/examples/startup-files for examples. # the files are located in the bash-doc package. # the default umask is set in /etc/profile; for setting t...
true
90e987f8da248d22603f7e92411f603621a09f4a
Shell
Alhadis/.files
/bin/link-projects
UTF-8
664
3.71875
4
[]
no_license
#!/bin/sh [ -d ~/Labs ] || exit # NPM modules installed in current working directory if [ -d node_modules ]; then set -- `ls node_modules` while [ "$1" ]; do case $1 in alhadis.utils) name='Utils';; atom-fs) name='Atom-FS';; atom-mocha) name='Atom-Mocha';; get-options) name='Ge...
true
5461f65862898c48dc95f6e7b34dde7a79f96c93
Shell
NetBSD/pkgsrc
/net/jftpgw/files/jftpgw.sh
UTF-8
376
2.703125
3
[]
no_license
#!@RCD_SCRIPTS_SHELL@ # # # $NetBSD: jftpgw.sh,v 1.1.1.1 2004/02/23 01:32:34 xtraeme Exp $ # # PROVIDE: jftpgw # REQUIRE: DAEMON LOGIN # KEYWORD: shutdown . /etc/rc.subr name="jftpgw" rcvar=$name command="@PREFIX@/sbin/${name}" pidfile="/var/run/${name}.pid" required_files="@PKG_SYSCONFDIR@/${name}.conf" extra_comman...
true
3f2eee7e2c3a6e67c1aba4a60c55745ca01d0f9d
Shell
vishnujayvel/scripts
/chmod+x.sh
UTF-8
85
2.6875
3
[]
no_license
#!/usr/bin/env bash - args="$@" for arg in $args do sudo chmod +x "$arg" done
true
bac08d4e38be7df74e2fac42b1867fec8be71435
Shell
skos/sru
/app/bin/ethers-task.sh
UTF-8
448
2.828125
3
[]
no_license
#!/bin/bash changed="$(dirname $0)/changed.sh" url='rsync://arp-ds.task.gda.pl/PG-arp' dir='/usr/share/sru/opt/ethers/' tmp="/tmp/sru-ethers.tmp" echo -n '' > "${dir}/.lock" echo -n '' > "${dir}/.nolock" wget -q --no-check-certificate -O $tmp http://chinook.srv/api/ethers && mv $tmp "$dir/ethers" && \ $changed "$dir/...
true
f56577c737fd4a2762fe78f130cbb72f1029f637
Shell
ntnn/scripts
/bin/launch_vim
UTF-8
1,751
3.34375
3
[]
no_license
#!/usr/bin/env sh # Opens vim in a new terminal window within tmux. # # Primary usecase is vimperator and pentadactyl: # set editor='launch_vim <file> <line> <column>' # # Changelog: # 2016-09-21 Concatenate the string to a literal, solves issues with # terminals that don't detect a parameter spanni...
true
9b6bcf2e2bd2bada3dec28e8563a8b25c6bf7251
Shell
BlockLatticeOrg/explorer-api
/destroy-docker.sh
UTF-8
930
4.0625
4
[ "MIT" ]
permissive
#!/bin/bash # VERSION version='1.0' # OUTPUT VARS TERM=xterm red=`tput setaf 1` green=`tput setaf 2` yellow=`tput setaf 3` bold=`tput bold` reset=`tput sgr0` # Check if running as root if [ "$EUID" -ne 0 ] then echo "${red}Please run as root: ${reset}${bold}sudo ./destroy-docker.sh${reset}" exit fi echo "" echo...
true
ca943644539c5957e99be100e8153a18786e7779
Shell
joom/certicoq
/make_plugin.sh
UTF-8
634
3.390625
3
[ "MIT" ]
permissive
#!/usr/bin/env bash PLUGIN=$1 EPATH= if [ "${PLUGIN}" == "plugin" ] then echo "Building optimized ML plugin" EPATH="theories/Extraction" else if [ "${PLUGIN}" == "cplugin" ] then echo "Building vanila ML plugin" EPATH="theories/ExtractionVanilla" else echo "Don't know whic...
true
40850aa7634f13870499bca8dbe59d47b0479d60
Shell
blackbits/postgresql-bits
/templates/default/pgbackup.sh.erb
UTF-8
547
3.515625
4
[]
no_license
#!/bin/sh BACKUP_PATH="<%= @path %>" BACKUP_DAYS=<%= [0, @days - 2].max %> DATE=`date +%Y-%m-%d` mkdir -p $BACKUP_PATH echo -n "Removing backups older than $BACKUP_DAYS day(s)..." find "$BACKUP_PATH" -type f -mtime +$BACKUP_DAYS -exec echo "- {}" \; -exec rm {} \; echo "done." echo -n "Dumping the fliptu database.....
true
f8e67decb6aea6ee5fbc88f45960cf43c152d943
Shell
diji99/upl_learning
/my_script/U_disk/start_udisk.sh
UTF-8
2,957
2.703125
3
[]
no_license
#/bin/bash #U盘系统部署: server_ip=172.25.254.115 fdisk -l /dev/sdb dd if=/dev/zero of=/dev/sdb bs=500 count=1 fdisk /dev/sdb << EOT n p 1 +8G a w EOT mkfs.ext4 /dev/sdb1 mkdir /mnt/usb mount /dev/sdb1 /mnt/usb/ df -h |grep mnt #2> 安装文件系统与BASH程序,重要命令(工具)、基础服务 mkdir -p /dev/shm/usb cat >/etc/yum.repos.d/iso.rep...
true
083b6623a586c66f1917c41d8e54f46343dcc7eb
Shell
Graylog2/graylog-docker
/health_check.sh
UTF-8
3,447
3.75
4
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference", "SSPL-1.0" ]
permissive
#!/bin/bash source /etc/profile # See "Web & Rest API" @ https://docs.graylog.org/docs/server-conf # # if `http_publish_uri` is given, use that for healthcheck, # if not take `http_bind_address` what defaults to 127.0.0.1 # if nothing is set. # # defaults proto=http http_bind_address=127.0.0.1:9000 # check if conf...
true
c946b88d7dfd0cc5a674da216fddef393504c0e5
Shell
GolemHerry/homelab
/kube/base.sh
UTF-8
1,299
3.09375
3
[]
no_license
#!/bin/bash set -e # # # DO NOT Edit Variables Below, Unless You Know What You Are Doing # # export GEN_DIR="generated" export DOWNLOAD_DIR="download" export WORKER_ADDR_LIST="" export CTRL_ADDR_LIST"" export ETCD_INITIAL_CLUSTERS="" export ETCD_SERVERS="" for i in ${!WORKER_LIST[@]} do INTERN_IP=${WORKER_IN...
true
0684b6d3c03403da2c04065870696e37ecdab685
Shell
bsandhu/myclaimshelper
/startProd.sh
UTF-8
708
2.890625
3
[]
no_license
echo 'Installing xbfb' sudo apt install xvfb echo 'Updating Electron deps' sudo apt-get install build-essential clang libdbus-1-dev libgtk2.0-dev \ libnotify-dev libgnome-keyring-dev libgconf2-dev \ libasound2-dev libcap-dev libcups2-dev libxtst-dev \ ...
true
692dde0e9a0866e151c4448a61f82253414855e1
Shell
kaust-rc/install
/postinstall
UTF-8
2,270
3.578125
4
[ "BSD-2-Clause" ]
permissive
#!/bin/bash -l ## check internet connectivity ping -q -w 1 -c 1 google.com > /dev/null || exit 1 export TESTUSER=jenkins logic_which() { which $1 > /dev/null return $? } export -f logic_which os_dep_install() { if logic_which yum then sudo yum -y update && \ sudo yum gro...
true
60419c5cef49342d8acab2dcde8d2214a5850321
Shell
Nian-Jingqing/NatCommun_Levinson2021
/Align/align_roi_to_anatomical
UTF-8
4,991
2.921875
3
[]
no_license
#!/bin/sh ## CONVERT STANDARD (MNI152) ROIS TO SUBJECT ANATOMICAL SPACE ## # Parameters scripts_dir= # PATH TO SCRIPTS DIRECTORY . $scripts_dir/directories # point to location of 'directories' file . $scripts_dir/analysis_parameters subjects="01 04 05 07 08 09 11 13 15 16 18 19 20 22 25 26 29 30 31 32 33 34 35 37 38" ...
true
db7cf968b15558797cdaf25813d4b11f8b4ab99c
Shell
dollalilz/2041_20T2
/ass2/demo04.sh
UTF-8
217
3.171875
3
[]
no_license
#!/bin/dash #source: https://www.tutorialspoint.com/unix/while-loop.htm#:~:text=The%20while%20loop%20enables%20you,value%20of%20a%20variable%20repeatedly. a=0 while [ $a -lt 10 ] do echo $a a=`expr $a + 1` done
true
4062ee3024b33f71ef389257bf7b89718218842f
Shell
dawnbreaks/taomee
/common-tools/linux/anticheat/trunk/query_ill/ref2/rebuild_index/rebuild_driver
UTF-8
397
3.484375
3
[]
no_license
#!/bin/bash if [ $# -ne 1 ] ; then echo "Usage: $0 <svc_name>" exit 1 fi SVC="$1" TODAY=`date +'%F 00:00:00'` ./move_nontoday_records "$SVC" "$TODAY" (( ret = $? )) if (( $ret == 1 )) ; then echo "Failed to exec move_nontoday_records, exit" exit 1 elif (( $ret == 2 )) ; then echo "Not any record before $TODAY...
true
044c4e6e15ff0e7080637364a71bce9bc7ef8da8
Shell
dsroche/Chef-Interpreter
/ChefInterpreter/src/jar2exec
UTF-8
506
3.515625
4
[ "CC0-1.0", "LicenseRef-scancode-public-domain" ]
permissive
#!/bin/sh MYSELF=`which "$0" 2>/dev/null` [ $? -gt 0 -a -f "$0" ] && MYSELF="./$0" if [ "$#" -ne 2 ]; then echo "usage: "$(basename $MYSELF) "<jarfilename> <execname>" exit 1 fi tail -9 $MYSELF | cat - $1 > $2 chmod +x $2 exit 0 ############## DON'T TOUCH BELOW HERE!!! ###############ls #!/bin/sh MYSELF=`wh...
true
c50d3588855cf1e39a413dbf46cdcb11c11f1b0e
Shell
neontribe/Linked_Development
/bootstrap.sh
UTF-8
1,486
2.765625
3
[]
no_license
#!/usr/bin/env bash echo "nameserver 8.8.8.8" | sudo tee /etc/resolv.conf echo "nameserver 8.8.8.8" | sudo tee /etc/resolvconf/resolv.conf.d/base apt-get update apt-get install -y acl apache2 php5-curl php-pear php5-cli git git-flow curl acl php5-sqlite php-codesniffer php5-xdebug php-apc php-pear libapache2-mod-php5...
true
9d88fa4d9c1912fe483c6c729659f39d77e7faa0
Shell
thorinii/kprogram
/compile.sh
UTF-8
2,276
3.21875
3
[]
no_license
#! /bin/bash gcc_options="-c -std=c99 -Wall -Wextra -nostdlib -nostartfiles -nodefaultlibs -g -Iinclude/" as_options="-gstabs" output_bin="kprogram.bin" # Fail Function function fail() { echo "$1"; exit 1; } function echoln() { echo ; echo "------------------------------------------------"; echo "$1"; echo ;} echo "...
true
55125725070aacc7acbff8358731faa6512205c1
Shell
miz884/gis_rivers
/data/batch_W07.sh
UTF-8
406
3.28125
3
[]
no_license
#!/bin/sh TO_PATH=./result/W07_river_mesh/ function parse { echo "parsing ${1}..." target=$(basename ${1} | sed -e 's/_GML.zip/.xml/') result=$(basename ${1} | sed -e 's/W07-[0-9]*_//; s/-jgd_GML.zip/.csv/') unzip -c ${1} ${target} "*/${target}"| python ./W07_parser.py > ${2}/${result} } export -f parse mkdi...
true
418651a4d3856c3cb9713dc515c005685c0f8c7c
Shell
kandakuriganesh/callSip.sh
/src/callSip.sh
UTF-8
3,804
3.40625
3
[ "Apache-2.0" ]
permissive
#!/bin/sh #$Id: callSip.sh 424 2014-03-02 11:03:29Z gaul1 $ #2014 initial version - by lifesim.de #2017 server address parsed from sip-adress - by lifesim.de # # Copyright 2017 rundekugel@github.com / gaul1@lifesim.de # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file...
true
42d30f44e77e8bfbb4047ad9cc37cbf08085bcf3
Shell
pldiiw/nodis
/nodis
UTF-8
2,868
4.40625
4
[ "Unlicense" ]
permissive
#!/usr/bin/env bash set -eEuo pipefail on_error () { kill -TERM $$ } trap on_error ERR NAME='nodis' VERSION='0.1.0' USAGE=$(cat <<EOF Usage: nodis <SUBCOMMAND> SUBCOMMANDS: update Update nodis' entries inside the hosts file block <domain> <start_time> <end_time> Block a domain within specified time ra...
true
1c74f338165add7e9686272d31c6395b0dedb994
Shell
reneboere/fpco-salt-formula
/tests/scripts/vagrant-init/box.sh
UTF-8
1,969
3.109375
3
[]
no_license
#!/usr/bin/env bash # install python and related packages/tools salt-call --local state.sls python.pip --log-level=debug # install reclass and run basic setup/config # this will use bootstrap.sls to setup node/class mapping salt-call --local state.sls reclass --log-level=debug # this will use reclass config to contr...
true
fadad08f7cf0010e2d39c5677f0d791722a269ad
Shell
uysalvdsds/ts3server-package
/build.sh
UTF-8
1,454
3.375
3
[]
no_license
#!/bin/bash # Customize here: arch=amd64 version=3.13.6 rev=1 # stop customizing tmp=$(mktemp -d) echo "Working in $tmp" package="ts3server" binname="teamspeak3-server_linux_${arch}" dl="${tmp}/${package}.tar.gz" url="https://files.teamspeak-services.com/releases/server/${version}/${binname}-${version}.tar.bz2" wget...
true
81fca14f7e8ba040c83345cbd484457be9eada14
Shell
plijnzaad/phtools
/ngs/make_rRNA.sh
UTF-8
1,829
3.671875
4
[]
no_license
#!/usr/bin/env bash # make_rRNA.sh # Kamil Slowikowski # December 12, 2014 # # (adapted from https://gist.github.com/slowkow/b11c28796508f03cdf4b by plijnzaad@gmail.com) # # 1. Download chromosome sizes from UCSC if needed. # 2. Make an interval_list file suitable for CollectRnaSeqMetrics.jar. # # Gencode v19 genes: # ...
true
286c358c8e413ae7af9946701a3eef4c6f6fd23c
Shell
slpcat/fai_config
/extra/kubernetes/kubespray_patch.sh
UTF-8
1,116
2.90625
3
[]
no_license
#!/bin/bash #change to private registry # current dir contains "kubespray" PRIVATE_KUBE_REGISTRY="slpcat" PRIVATE_QUAYIO_REGISTRY="slpcat" grc_image_files=( ./kubespray/roles/kubernetes-apps/ansible/defaults/main.yml ./kubespray/roles/dnsmasq/templates/dnsmasq-autoscaler.yml.j2 ./kubespray/roles/download/defaults/main...
true
b14cf912f1237d7b11eaf413115dc0d217d954a2
Shell
tob123/adguard
/dockpush.sh
UTF-8
441
2.953125
3
[]
no_license
#/bin/bash set -ex docker push tob123/adguard-staging:${VERSION} if [[ -n $LATEST_MINOR ]]; then MAJOR_TAG=$(echo $VERSION | awk -F. {' print $1"."$2'}) docker tag tob123/adguard-staging:${VERSION} tob123/adguard-staging:${MAJOR_TAG} docker push tob123/adguard-staging:${MAJOR_TAG} fi if [[ -n $LATEST ]]; then d...
true
a184374c5ab24c2a0b258796a7e00ac645e5d250
Shell
deephealthproject/workshops
/session-1-no-superuser/install-ecvl-from-source.sh
UTF-8
970
2.71875
3
[]
no_license
#!/bin/bash cd ${HOME}/temp . env-vars.sh ############ ECVL if [ ! -d ecvl ] then git clone https://github.com/deephealthproject/ecvl.git cd ecvl #git checkout c5326665e93ab4f34d143bd94de527f4fe643053 # Latest master, waiting for the release else cd ecvl fi mkdir -p build && cd build cmake -G "Unix Makefiles" \...
true
fc3554a2314249138540ac6e7797c80fc6aedff3
Shell
wayneburlingame/Fossology-Docker-Deploy-Scripts
/maintenance_give-admin-power.sh
UTF-8
776
3.4375
3
[ "MIT" ]
permissive
#!/bin/sh # # Software Name : Fossology Docker Deploy Scripts Suite # Version: 1.0 # Copyright (c) 2020 Orange # SPDX-License-Identifier: MIT # # This software is distributed under the MIT License # the text of which is available at https://spdx.org/licenses/MIT.html # or see the "LICENSE" file for more details. # # A...
true
4dd2069c8e7a03b15a15db37b376c3b5c73b1d3b
Shell
tinymesh/workbench
/build.sh
UTF-8
851
2.734375
3
[]
no_license
#!/bin/bash # Syncs master with gh-pages and deploys to local stage # Tags are automatically pushed to github!!! git fetch origin git reset --hard origin/master npm install npm run build git commit -a -m 'lol-temp' git checkout --orphan stage || git checkout -f stage # I like these files, keep'em git checkout mast...
true
ddf4d5110d67f5b28aca2d8614872d58bbb59a54
Shell
chenbk85/easyScripts
/get_rss.sh
UTF-8
465
3
3
[]
no_license
#!/bin/sh if [ -z $1 ];then ps aux | awk 'BEGIN{rss = 0;print "rss(MiB)"} {rss+=$6} END{print rss/1024 }' elif [ $1 = "53kf" ];then for i in comet nginx mysqld php-cgi daemon.php memcached zabbix_agent;do ps aux | grep $i | grep -v grep | awk 'BEGIN{rss = 0;print "Program \t\t\t RSS(MiB)"} {rss+=$6} END{print "-> ...
true
4d23079becc6b44269a8ddf00071c52eb171d57b
Shell
jonathan-shemer/chenv-bash
/chenv
UTF-8
548
3.90625
4
[ "MIT" ]
permissive
#!/usr/bin/env bash if [ "$*" == "" ]; then echo "Please provide an env suffix to change to, or use -h for help."; exit 1; fi if [ $1 = "-h" ]; then less "$HOME/.chenv/src/README.md"; exit 0; fi if [ $1 = "heroku" ]; then file=".env.$2"; heroku config -s -a "$2" > $file; else file=".env.${...
true
d91dca1a4581e79233a96a6c49cf2774e39d3283
Shell
ahamed/joomgen
/shell_components/frontend/controller_f.sh
UTF-8
1,976
3.015625
3
[]
no_license
#!/bin/bash date=`date` year=`date +%Y` directory="$1" component_name="$2" vSingular="$3" vPlural="$4" component_ucf="$(tr a-z A-Z <<< ${component_name:0:1})${component_name:1}" component_uca="$(tr a-z A-Z <<<${component_name})" singular_ucf="$(tr a-z A-Z <<< ${vSingular:0:1})${vSingular:1}" singular_uca="$(tr a-z A-...
true
15eedc06dc8acd568b2cb231cfb7cf4b975c8f97
Shell
reutermj/dotfiles
/.rootscripts/.update
UTF-8
366
2.90625
3
[]
no_license
#!/bin/bash read -n 1 -s -r -p "Press any key to update or close window to cancel" echo "" while ! timeout 0.2 ping -c 1 -n 8.8.8.8 &> /dev/null do echo "Waiting for internet" done echo "Updating" sudo apt-get update && sudo apt-get -y dist-upgrade && sudo apt-get -y autoremove --purge && sudo apt-get -y autoclean r...
true
a3b308a948a3e64a77e9ce4d9342ecf2abbdeccb
Shell
Trista-Sie/Kafka_Services_Script
/Each_Service/kafka.sh
UTF-8
236
2.640625
3
[]
no_license
#!/bin/bash printf "啟動Kafka...\n" #進到confluent platform 5.5.1資料夾 cd ~/confluent-5.5.1 #啟動kafka(執行檔:kafka-server-start;參數檔:server.properties) ./bin/kafka-server-start ./etc/kafka/server.properties &
true
fa44524789758bf9b5108884b6b6bab87d3f176a
Shell
Olave/bigdata
/hive/config/hs.sh
UTF-8
310
2.703125
3
[]
no_license
#!/usr/bin/env bash case $1 in "start") nohup hive --service metastore >/dev/null 2>&1 & nohup hive --service hiveserver2 >/dev/null 2>&1 & ;; "stop") ps ef |grep metastore |grep -v grep | awk '{print $2}' | xargs kill ps ef |grep hiveserver2 |grep -v grep | awk '{print $2}' | xargs kill ;; esac
true
4524bd8448ecc0c1630e47f3adf0a2759f0d3dba
Shell
granzoto/skupper-helpers
/minikube/hello-world/all-in-one-setup-test.sh
UTF-8
11,234
3.515625
4
[]
no_license
#!/bin/bash ### ### Function : CheckDeploy ### function checkDeploy() { DEP=${1} NS=${2} EXISTS=$(kubectl get deployment ${DEP} --no-headers -n ${NS} 2> /dev/null| awk -F " " '{print $1}') if [ "${EXISTS}" == "${DEP}" ]; then echo "${DEP}" else echo "" fi } ### ### ### ### ##...
true
456ad86371633b16e3a96a8ac0e6bd8b474b24d0
Shell
fsareshwala/dotfiles
/prefix/bin/brightness
UTF-8
536
4.03125
4
[]
no_license
#!/usr/bin/env bash configfile=/sys/class/backlight/intel_backlight/brightness function usage() { echo "usage: $0 [up|down]" } function set_brightness() { new=$1 echo $new | sudo tee $configfile > /dev/null } function main() { current=$(cat $configfile) increment=50 new=0 if [[ $# -ne 1 ]]; then ...
true
563ff20712063cfd27919ce0586d1bb6a0417ed0
Shell
rootjacker/content
/setContentDescriptor.sh
UTF-8
297
2.53125
3
[ "MIT" ]
permissive
### this script populate content descriptor with correct dates and assetId ASSETID=$1 RELEASE_DATE=`date +"%FT%T.0%:z"` sed -i -- "s/\"REPLACE_THIS_WITH_CI_BUILD_NUM\"/$ASSETID/g" ./content-descriptor.json* sed -i -- "s/REPLACE_THIS_WITH_RELEASE_DATE/$RELEASE_DATE/g" ./content-descriptor.json*
true
c4f704b9f1208369fb9a088b67e6ef25a654fd7b
Shell
rowanpang/toolsMisc
/megasync/megaSync-osInit.sh
UTF-8
699
3.125
3
[]
no_license
#!/bin/bash #ref https://mega.io/sync source ./osInitframe/lib.sh function main(){ #dns error under inspur net so add hosts hosts='/etc/hosts' if [ $(grep -c 'mega.nz' $hosts) -eq 0 ];then lsudo sed -i "/::1/a154.53.224.166 mega.nz" $hosts fi pkgCheckInstall cryptopp #install rpm will add a...
true
86bf22b036e5e75a9951d4a6970e5e3e8ca19eb8
Shell
xwang2713/HPCC-Builds
/OSX-Builds/bin/github/github_gc
UTF-8
1,179
3.46875
3
[]
no_license
#!/bin/bash curDir=$(dirname $0) . ${curDir}/github_common [ -z "$1" ] && echo "Miss tag or branch name" && exit 1 match_branch_suffix $1 if [ $? -eq 0 ] then TAG_BRANCH_NAME=graphcontrol_$1 else TAG_BRANCH_NAME=$1 fi ################################################ # # Get GraphControl # #################...
true
2003ced7f3637c4a4cf97a2bc64bed4e96215ca3
Shell
dikee/config_server
/cent_os_config.sh
UTF-8
1,519
3.25
3
[]
no_license
# Sets up directory with python 2.7, python 3.3, pip, virtualenv, development tools, and mongodb /usr/sbin/adduser {{username}} echo "{{password}}" | passwd demouser --stdin # Add user to wheel root group gpasswd -a demouser wheel echo "PermitRootLogin no" >> /etc/ssh/sshd_config echo "AllowUsers demouser" >> /etc/ssh...
true
b989dea44888a3b74fcbe8c819fbb801be133514
Shell
eirikrvw/sample-gitops
/kustomize/functions.sh
UTF-8
309
3.0625
3
[]
no_license
apply_shell_expansion() { python -c " import os import sys doc=sys.stdin.read() for k,v in os.environ.items(): print('Replacing {}'.format(k)) doc = doc.replace('$'+'{'+k+'}',v) sys.stdout.write(doc)" } cuproject() { kustomize build ${1}| ( set -a; source ${1}/project.env ; apply_shell_expansion ) }
true
7b061035d3833935e3f1cc6a15a58928046ff041
Shell
lireric/ssn-central
/openwrt/etc/init.d/ssnctrl
UTF-8
648
3.109375
3
[]
no_license
#!/bin/ash /etc/rc.common # SSN MQTT proxy service # Copyright (C) 2017 ernold.net START=92 STOP=16 APP='lua /overlay/ssn-ctrl/ssnCtrl.lua script -l INFO' workdir=/overlay/ssn-ctrl start_service() { sleep 2 echo starting SSN Control service .. cd $workdir # $APP 1>/var/log/ssnctrl_out.log 2>/var/log/s...
true
b2a13dd5fef0ded32a0f65073a209bb53614b9d0
Shell
ilventu/aur-mirror
/xfce4-generic-slider-git/PKGBUILD
UTF-8
1,065
3.125
3
[]
no_license
# Contributor: Connor Behan <connor.behan@gmail.com> pkgname=xfce4-generic-slider-git pkgver=20120413 pkgrel=1 pkgdesc="Xfce panel plugin for adjusting the value passed to a command" arch=(i686 x86_64) license=('GPL') url="http://goodies.xfce.org/projects/panel-plugins/xfce4-generic-slider" groups=('xfce4-goodies') de...
true
1f933c46fa1385355613376ea070a917061d885c
Shell
21tesla/mib2-toolbox
/Toolbox/scripts/dump_ifs.sh
UTF-8
738
3.75
4
[ "MIT" ]
permissive
#!/bin/sh #info TOPIC=IFS DESCRIPTION="This script will dump the ifs-root." echo $DESCRIPTION . /eso/bin/PhoneCustomer/default/util_info.sh . /eso/bin/PhoneCustomer/default/util_mountsd.sh if [[ -z "$VOLUME" ]] then echo "No SD-card found, quitting" exit 0 fi sleep .5 #Make backup folder DUMPFOLDER=$VOLUME/Du...
true
fdb17d0bfd714971b7dbab3fdcd85144bdc3b036
Shell
lucashmorais/taskdep-suit
/parsec/ferret/bench/run.sh
UTF-8
1,028
3.015625
3
[]
no_license
#!/bin/bash VERSION=$1 INPUT=$2 NTHREADS=$3 EXTRA_ARGS=$4 BENCHPATH=${ROOT}/ferret case $INPUT in "native") ARGS="${BENCHPATH}/inputs/corel lsh ${BENCHPATH}/inputs/queries 50 20";; "simlarge") ARGS="${BENCHPATH}/inputs/corel lsh ${BENCHPATH}/inputs/queries 10 20";; "simmedium") ARGS="${BENCHPATH}/inputs/corel ...
true
b02ae581180cbd403aa002aff0d47b8aff185a19
Shell
ASWATHYPRAKASH/sdlab-activities
/pgm4.sh
UTF-8
150
2.890625
3
[]
no_license
arr=(1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20) sum=0 for i in ${arr[@]} do sum=`expr $sum + $i` done echo "sum of the array is:$sum"
true
4347a97a82d0437688d3957f8d309b5d3a297812
Shell
kalloc/autodeploy.sh
/update_lib.sh
UTF-8
1,427
3.765625
4
[ "MIT" ]
permissive
#!/bin/bash function update() { ID=$1 REPO_ROOT=$2 DEPLOY_ROOT=$3 NAME=$4 URL=$5 CHANNEL_ID=$6 BUILD_SUBDIR=$7 if [[ $BUILD_SUBDIR == "" ]];then BUILD_SUBDIR="assets" fi LOCKFILE=/tmp/${ID}.lock if [ -e ${LOCKFILE} ] && kill -0 `cat ${LOCKFILE}`; then echo "...
true